/***********************************
* Copyright 1998 by Kevin MacDonald
* kmacdo01@student.vill.edu
***********************************/

/***********************************
* This is the header file for the 
* form for adding and removing
* cities.
***********************************/

#ifndef ADDREMH
#define ADDREMH
#include <qwidget.h>
#include <qapp.h>
#include <qpushbt.h>
#include <qlistbox.h>
#include <qlined.h>
#include <qlabel.h>
#include <iostream.h>
#include <fstream.h>
#include <qpixmap.h>

class addrem : public QWidget {

  Q_OBJECT

  public:
    addrem(QWidget *parent=0, const char *name=0, WFlags f=0);
    ~addrem();

  protected:
    QPushButton *add, *remove, *done;
    QListBox *citylist;
    QLineEdit *addfield;
    QLabel *aircode;

  signals:
    void changed();
   
  protected slots:
    removeThis();
    addThis();
    writefile();
  };

#endif
